PETSc version 3.15.5
Fix/Edit manual page

# MatSetVariableBlockSizes

Sets a diagonal blocks of the matrix that need not be of the same size

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetVariableBlockSizes(Mat mat,PetscInt nblocks,PetscInt *bsizes)

Logically Collective on Mat

### Input Parameters

| mat | - the matrix
| nblocks | - the number of blocks on this process
| bsizes | - the block sizes

### Notes

Currently used by PCVPBJACOBI for SeqAIJ matrices

### See Also

MatCreateSeqBAIJ(), MatCreateBAIJ(), MatGetBlockSize(), MatSetBlockSizes(), MatGetBlockSizes(), MatGetVariableBlockSizes()

### Level

intermediate

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages